Name:           python-ctitools
Version:        0.5.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Work with cti index files for the Heise papers c't and iX

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://python.xn--hllmanns-n4a.de/ctitools/
Source:         %{pypi_source ctitools}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ctitools' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ctitools
Summary:        %{summary}

%description -n python3-ctitools %_description


%prep
%autosetup -p1 -n ctitools-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ctitools -f %{pyproject_files}


%changelog
%autochangelog